Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicListUI.ListSelectionHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicListUI.ListSelectionHandler

public class BasicListUI.ListSelectionHandler
extends java.lang.Object
implements ListSelectionListener

The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes. When the selection changes we repaint the affected rows.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `BasicListUI.createListSelectionListener()`, `BasicListUI.getCellBounds(javax.swing.JList, int, int)`, `BasicListUI.installUI(javax.swing.JComponent)`

Constructor Summary
`BasicListUI.ListSelectionHandler()`

Method Summary
`void` | `valueChanged(ListSelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicListUI.ListSelectionHandler

    public BasicListUI.ListSelectionHandler()

Method Detail

### valueChanged

    public void valueChanged(ListSelectionEvent e)

  Specified by:
    valueChanged in interface ListSelectionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.